#ifndef ISELLABLESERVICE_H
#define ISELLABLESERVICE_H

#include "shop_global.h"
#include "shopitem.h"
#include <QList>
#include <QSharedPointer>

class SHOPSHARED_EXPORT ISellableService
{
public:
    ISellableService();

    virtual QList<QSharedPointer<ShopItem> > shopItems() = 0;
    virtual void addedToVoucher(int itemId, int countAdded) = 0;
};

#endif // ISELLABLESERVICE_H
